

var playerInitTimemediaspace = Date.now();
var playermediaspace = jwplayer("mediaspace");

var playerConfigmediaspace = {
	"playlist": [{
		"sources": [
			

			{ "type": "hls", "label": "Auto-HLS", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673500400_1ee859e26c6a527cd955aba7650fcde8e64d45af/2021/12/carla-mullins/7450/video/previews/h264-,504p,720p,360p,216p.m3u8?subtitles=en" },
			{ "type": "mpd", "label": "Auto-MPD", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673500400_1ee859e26c6a527cd955aba7650fcde8e64d45af/2021/12/carla-mullins/7450/video/previews/h264-,504p,720p,360p,216p.mpd" }, {}
			
		],
		"image": "//images.pilatesanytime.com/2022/01/19/full_carla_211207_PA7450-13009.jpg",
		
		"title": "#4869: Claiming Immunity",
		"description": "Immune System, Anatomy, Body Pathologies, Breathing",
		
		"tracks": [
			
			{ "kind": "chapters", "file": "/caption_files/vtt_chapters/8972_chapters.vtt" },
			
			{ "kind": "thumbnails", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673500400_689c53a75f7fd57bc7d0cd4f03d6a130250c2f21/2021/12/carla-mullins/7450/thumbs/160x90.vtt" },
			
		{} ]
	}],
	"skin": {
		"url": "https://www.pilatesanytime.com/css/jwplayer8/skins/pilates_jwplayer8_skin.css?v=PIL-3405",
		"name": "tm_skin"
	},
	"playbackRateControls": [0.5, 0.75, 1, 1.25, 1.5, 2.0],
	
	"cast": {
		"appid": "D285D081",
		"logo": "//images.pilatesanytime.com/graphics/pilates/PAlogo_@2x.png",
		"railcolor": "#99cc33"
	},
	
	"width": "100%",
	"aspectratio": "16:9",
	"hlshtml": true,
	"floating": { "dismissible": true } 
};

playermediaspace.setup(playerConfigmediaspace);



if (typeof initJWPlayerMux !== 'undefined') {
	initJWPlayerMux(playermediaspace, {
		debug: false,
		data: {
			property_key: 'f668d87099c7c76bc3eef5935', // required
			page_type: 'watchpage', // (see docs) 'watchpage', 'iframe', or leave empty
			viewer_user_id: '-1', // ex: '12345'
			experiment_name: '', // ex: 'player_test_A'
			sub_property_id: 'pilates', // ex: 'cus-1'

			// Player Metadata
			player_name: 'jwplayer', // ex: 'My Main Player'
			player_version: jwplayer.version.split("+")[0], // ex: '1.0.0'
			player_init_time: playerInitTimemediaspace, // ex: 1451606400000

			// Video Metadata (cleared with 'videochange' event)
			video_id: '8972', // ex: 'abcd123'
			video_title: '8972: Claiming Immunity', // ex: 'My Great Video'
			video_series: 'Carla Mullins', // ex: 'Weekly Great Videos'
			video_producer: '', // ex: 'Bob the Producer'
			video_content_type: '', // 'short', 'movie', 'episode', 'clip', 'trailer', or 'event'
			video_language_code: '', // ex: 'en'
			video_variant_name: '', // ex: 'Spanish Hard Subs'
			video_variant_id: '', // ex: 'abcd1234'
			video_duration: '', // in milliseconds, ex: 120000
			video_stream_type: 'on-demand', // 'live' or 'on-demand'
			video_encoding_variant: '', // ex: 'Variant 1'
			video_cdn: 'fastly' // ex: 'Fastly', 'Cloudfront'
		}
	});
}

var videoIsPlaying = 0;
var asked_resume = 0;


	var requireTermsOK = 1;

	asked_resume = 0;



playermediaspace.on('time', function(evt) { 
	var lastPosition = $("#video_view_pos").val();
	var currentPosition = evt.position;
	videoIsPlaying = 1;
	$("#video_view_pos").val(currentPosition);

	
		getCurrentChapter(currentPosition);
		
		getCurrentTranscriptSegment(currentPosition);
		
		
		// record position in cookie, update form field	  
		//markWatched("mediaProgress");
		var date = new Date();
		date.setTime(date.getTime()+(90*1000));
		document.cookie="last_video_id=8972; secure; expires=" + date.toGMTString();
		document.cookie="last_position=" + currentPosition + "; secure; expires=" + date.toGMTString();
	
});


playermediaspace.on('pause', function(data) { 
	if (videoIsPlaying == 1) { markWatched("mediaStop"); }
	videoIsPlaying = 0;
	if (document.ga) ga('send', 'event', 'video', 'pause', 'video_id', 8972);
});




playermediaspace.on('play', function(data) {
	
	
	var videoIsPlaying = 1;
	position = $('#video_view_pos').val();
	//console.log("onPlay position is: " + position);
	if (position > 0) {
		//if we have not asked them resume question yet...
		if (asked_resume == 0) {
			$('#js-progress-video').hide();
			asked_resume = 1;
			//console.log("resuming playback...");
			doResumemediaspace(position);
		}
	}
	markWatched("mediaPlay");
		
	if (document.ga) ga('send', 'event', 'video', 'play', 'video_id', 8972);

	
});


playermediaspace.on('complete', function() {
	
		markWatched("mediaComplete");
		
		
	if (document.ga) ga('send', 'event', 'video', 'complete', 'video_id', 8972);
	
});




playermediaspace.on('error', function(error) {

	if (document.ga) ga('send', 'event', 'video', 'error', 'video_id', 8972);
	

	var payload = {
		vid: "8972",
		cid: "4869",
		i: "-1",
		e: error,
		c: jwplayer('mediaspace').getConfig()
	};
	
	if (error.message.indexOf("Error loading media: File could not be played") >= 0) {
		//Update their prefs to exclude 720p bad renditions, Show the help div
		$('#playbackIssuesDIV').show();
		
		var file = jwplayer('mediaspace').getConfig().playlist[0].file;
		
		$.ajax({
			async: false,
			timeout: 10,
			url: file,
			type: "GET",
			error: function(xhr, status, innererror) {
				var responseText = xhr.responseText;
				var re = /^Reference\&\#32\;\&\#35\;(.*)$/m;
				var result = responseText.match(re);
				if (result.length > 1) {
					var reference = result[1];
					payload = {
						vid: "8972",
						cid: "4869",
						i: "-1",
						e: error,
						c: jwplayer('mediaspace').getConfig(),
						ar: reference
					};
				}
			}
		});
	}
	else if (error.message.indexOf("Cannot load M3U8: Crossdomain access denied" >= 0)) {
		if ($.cookie("crossdomainReload") !== "true") {
			$.cookie("crossdomainReload", "true");
			// Display brief flash message indicating we're reloading expired video page ?
			location.reload();
		}
		else {
			// Display more friendly error message than the JWPlayer M3U8 access denied?
		}
	}
	else {
		//alert(error.message.indexOf("Error loading media: File could not be played"));
	}
	
	$.ajax({
		type: "POST",
		url: "/jwplayer/jwplayer_error.cfm",
		contentType: "application/json; charset=utf-8",
		data: JSON.stringify(payload),
		success: function(data) {
			//result = $.parseJSON(data);
			//console.log("post result:"+result.error_message);
		}
	});
});


function doPausemediaspace() {
	if(playermediaspace.getState() == "playing") {
		playermediaspace.pause();
	}
}

function doPlayPausemediaspace() {
	if(playermediaspace.getState() == "playing") {
		playermediaspace.pause();
	}
	else {
		playermediaspace.play();
	}
}

function doResumemediaspace(resume_position) {
	playermediaspace.seek(resume_position);
	
	$("#video_view_pos").val(resume_position);
	
}

function getClassURL() {
	new_url = "#";
	
	new_url = '/workshop_view.cfm?class_id=4869';
	
	return new_url;
}


function markWatched(my_action) {		
	var my_position = document.getElementById("video_view_pos").value;
	var instance = new classFunctions();  
	if (my_action == 'mediaPlay' || my_action == 'mediaStop' || my_action == 'mediaComplete' || my_action == 'mediaProgress') {
		var myResult = instance.saveClassView(8972, -1, '-1', my_action, 37008666, my_position);
	}
	document.getElementById("video_view_pos").value = my_position;
}

function jumpToChapter(timecode) { seek(timecode); } // backward compatibility in case of caching; delete after 30 days, this function has been renamed
function seek(timecode) { playermediaspace.seek(timecode); }

function playVideo() { playermediaspace.play(); }


	function getCurrentChapter(cseconds) {
		
		
			if (cseconds >= 0 && cseconds <31.021) {
				//console.log('Chapter at '+cseconds+' is 1815 - Introduction');
				markActiveChapter(1815);
			}
			else {
				markInActiveChapter(1815);
			}
			
		
			if (cseconds >= 31.021 && cseconds <818.004) {
				//console.log('Chapter at '+cseconds+' is 1816 - The Immune System');
				markActiveChapter(1816);
			}
			else {
				markInActiveChapter(1816);
			}
			
		
			if (cseconds >= 818.004 && cseconds <931.029) {
				//console.log('Chapter at '+cseconds+' is 1817 - Organs of the Immune System');
				markActiveChapter(1817);
			}
			else {
				markInActiveChapter(1817);
			}
			
		
			if (cseconds >= 931.029 && cseconds <1323.016) {
				//console.log('Chapter at '+cseconds+' is 1818 - The Lymphatic System');
				markActiveChapter(1818);
			}
			else {
				markInActiveChapter(1818);
			}
			
		
			if (cseconds >= 1323.016 && cseconds <1584.024) {
				//console.log('Chapter at '+cseconds+' is 1819 - T-helper Cells');
				markActiveChapter(1819);
			}
			else {
				markInActiveChapter(1819);
			}
			
		
			if (cseconds >= 1584.024 && cseconds <2006.022) {
				//console.log('Chapter at '+cseconds+' is 1820 - Stress and the Immune System');
				markActiveChapter(1820);
			}
			else {
				markInActiveChapter(1820);
			}
			
		
			if (cseconds >= 2006.022 && cseconds <2808) {
				//console.log('Chapter at '+cseconds+' is 1821 - Breathing and the Immune System');
				markActiveChapter(1821);
			}
			else {
				markInActiveChapter(1821);
			}
			
		
			if (cseconds >= 2808 && cseconds <2996.018) {
				//console.log('Chapter at '+cseconds+' is 1822 - Shoulder Release');
				markActiveChapter(1822);
			}
			else {
				markInActiveChapter(1822);
			}
			
		
			if (cseconds >= 2996.018 && cseconds <3251.002) {
				//console.log('Chapter at '+cseconds+' is 1823 - Sling Breathing');
				markActiveChapter(1823);
			}
			else {
				markInActiveChapter(1823);
			}
			
		
			if (cseconds >= 3251.002 && cseconds <3479.028) {
				//console.log('Chapter at '+cseconds+' is 1824 - Diaphragm Release');
				markActiveChapter(1824);
			}
			else {
				markInActiveChapter(1824);
			}
			
		
			if (cseconds >= 3479.028 && cseconds <4034.006) {
				//console.log('Chapter at '+cseconds+' is 1825 - Dance of the Psoas');
				markActiveChapter(1825);
			}
			else {
				markInActiveChapter(1825);
			}
			
		
			if (cseconds >= 4034.006 && cseconds <4234.011) {
				//console.log('Chapter at '+cseconds+' is 1826 - Wild Thing');
				markActiveChapter(1826);
			}
			else {
				markInActiveChapter(1826);
			}
			
		
			if (cseconds >= 4234.011 && cseconds <4479.004) {
				//console.log('Chapter at '+cseconds+' is 1827 - Working The Eyes');
				markActiveChapter(1827);
			}
			else {
				markInActiveChapter(1827);
			}
			
		
			if (cseconds >= 4479.004 && cseconds <4755.01) {
				//console.log('Chapter at '+cseconds+' is 1828 - Opening The Chest');
				markActiveChapter(1828);
			}
			else {
				markInActiveChapter(1828);
			}
			
		
			if (cseconds >= 4755.01 && cseconds <4952.014) {
				//console.log('Chapter at '+cseconds+' is 1829 - Row Your Boat');
				markActiveChapter(1829);
			}
			else {
				markInActiveChapter(1829);
			}
			
		
			if (cseconds >= 4952.014 && cseconds <5102.022) {
				//console.log('Chapter at '+cseconds+' is 1830 - Twisted Angel');
				markActiveChapter(1830);
			}
			else {
				markInActiveChapter(1830);
			}
			
		
			if (cseconds >= 5102.022 && cseconds <5219.014) {
				//console.log('Chapter at '+cseconds+' is 1831 - Washer Woman with Rotation');
				markActiveChapter(1831);
			}
			else {
				markInActiveChapter(1831);
			}
			
		
			if (cseconds >= 5219.014 && cseconds <5372.016) {
				//console.log('Chapter at '+cseconds+' is 1832 - Standing Wave');
				markActiveChapter(1832);
			}
			else {
				markInActiveChapter(1832);
			}
			
		
			if (cseconds >= 5372.016 && cseconds <5455.025) {
				//console.log('Chapter at '+cseconds+' is 1833 - Calf Stretch Pump');
				markActiveChapter(1833);
			}
			else {
				markInActiveChapter(1833);
			}
			
		
	}
	
	function markActiveChapter(my_chapter_id) {
		this_chapter = $('#js-chapter-'+my_chapter_id);
		if (!this_chapter.hasClass('tm-card-active')) {
			this_chapter.addClass('tm-card-active');
			scrollToChapter(my_chapter_id);
		}
	}
	function markInActiveChapter(my_chapter_id) {
		this_chapter = $('#js-chapter-'+my_chapter_id);
		if (this_chapter.hasClass('tm-card-active')) {
			this_chapter.removeClass('tm-card-active');
		}
	}

	prior_seconds = -1;
	
	function getCurrentTranscriptSegment(cseconds) {
		var rounded_seconds = parseInt(cseconds);
		if (rounded_seconds != prior_seconds) {
			scrollToTranscriptSegment(rounded_seconds,prior_seconds);
			prior_seconds = rounded_seconds;
		}
		
	}
